## arduino-cli board details

Print details about a board.

### Synopsis

Show information about a board, in particular if the board has options to be specified in the FQBN.

```
arduino-cli board details -b <FQBN> [flags]
```

### Examples

```
  debian/build/bin/docsgen board details -b arduino:avr:nano
```

### Options

```
      --board-options strings                 List of board options separated by commas. Or can be used multiple times for multiple options.
  -b, --fqbn string                           Fully Qualified Board Name, e.g.: arduino:avr:uno
  -f, --full                                  Show full board details
  -h, --help                                  help for details
      --list-programmers                      Show list of available programmers
      --show-properties string[="expanded"]   Show build properties. The properties are expanded, use "--show-properties=unexpanded" if you want them exactly as they are defined. (default "disabled")
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli board](arduino-cli_board.md)	 - Arduino board commands.

